org.apache.lucene.codecs

## Class PointsReader

- java.lang.Object
- - org.apache.lucene.index.PointValues
  - - org.apache.lucene.codecs.PointsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Accountable
  Direct Known Subclasses:
    Lucene60PointsReader, MutablePointsReader

      public abstract class PointsReader
      extends PointValues
      implements Closeable, Accountable

  Abstract API to visit point values.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.PointValues

      `PointValues.IntersectVisitor, PointValues.Relation`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.PointValues

      `MAX_DIMENSIONS, MAX_NUM_BYTES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PointsReader()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `checkIntegrity()` Checks consistency of this reader.
    `PointsReader` | `getMergeInstance()` Returns an instance optimized for merging.

    - ### Methods inherited from class org.apache.lucene.index.PointValues

      `estimatePointCount, getBytesPerDimension, getDocCount, getDocCount, getMaxPackedValue, getMaxPackedValue, getMinPackedValue, getMinPackedValue, getNumDimensions, intersect, size, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Closeable

      `close`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources, ramBytesUsed`

- - ### Constructor Detail

    - #### PointsReader

          protected PointsReader()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### checkIntegrity

          public abstract void checkIntegrity()
                                       throws IOException

      Checks consistency of this reader.

      Note that this may be costly in terms of I/O, e.g. may involve computing a checksum value against large data files.

      Throws:
        `IOException`
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### getMergeInstance

          public PointsReader getMergeInstance()
                                        throws IOException

      Returns an instance optimized for merging.

      The default implementation returns `this`

      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.